livecd: remaster/livecd_gen_initrd, remaster/livecd_gen_iso - move...
havner
havner at pld-linux.org
Tue Jul 11 14:49:38 CEST 2006
Author: havner Date: Tue Jul 11 12:49:38 2006 GMT
Module: livecd Tag: HEAD
---- Log message:
- move initrd generation to livecd_gen_initrd
---- Files affected:
livecd/remaster:
livecd_gen_initrd (1.14 -> 1.15) , livecd_gen_iso (1.21 -> 1.22)
---- Diffs:
================================================================
Index: livecd/remaster/livecd_gen_initrd
diff -u livecd/remaster/livecd_gen_initrd:1.14 livecd/remaster/livecd_gen_initrd:1.15
--- livecd/remaster/livecd_gen_initrd:1.14 Tue Jul 11 13:44:29 2006
+++ livecd/remaster/livecd_gen_initrd Tue Jul 11 14:49:33 2006
@@ -52,3 +52,38 @@
rm -f $INITRD/pci/*
cp -f $ROOTS/usr/share/pci-database/ide.pci $ROOTS/usr/share/pci-database/scsi.pci $ROOTS/usr/share/pci-database/sata.pci $INITRD/pci
echo done
+
+echo -n "Generating initrd... "
+rm -rf $CD/boot/initrd.gz
+genromfs -f $CD/boot/initrd -d $INITRD -V "LiveCD initrd"
+[ "$?" != 0 ] && echo fail && exit 1
+busybox gzip $CD/boot/initrd
+[ "$?" != 0 ] && echo fail && exit 1
+# bootsplash
+if [ -r $ROOTFS/etc/sysconfig/bootsplash ] ; then
+ . $ROOTFS/etc/sysconfig/bootsplash
+fi
+if [ "$BOOT_SPLASH" = "yes" ]; then
+ if [ ! -x /bin/splash.bin ]; then
+ echo "Failed to execute /bin/splash.bin. Is bootsplash package installed?" 1>&2
+ elif [ -z "$THEME" ]; then
+ echo "Please configure your /etc/sysconfig/bootsplash first." 1>&2
+ echo "Generating bootsplashes skipped." 1>&2
+ else
+ if [ -n "$BOOT_SPLASH_RESOLUTIONS" ]; then
+ for res in $BOOT_SPLASH_RESOLUTIONS; do
+ if [ -f "$ROOTFS/etc/bootsplash/themes/$THEME/config/bootsplash-$res.cfg" ]; then
+ /bin/splash.bin -s -f "$ROOTFS/etc/bootsplash/themes/$THEME/config/bootsplash-$res.cfg" >> $CD/boot/initrd.gz && \
+ [ -n "$verbose" ] && echo "Added $res $THEME theme to initrd."
+ else
+ echo "/etc/bootsplash/themes/$THEME/config/bootsplash-$res.cfg doesn't exist, skipped" 1>&2
+ fi
+ done
+ else
+ echo "No BOOT_SPLASH_RESOLUTIONS specified in /etc/sysconfig/bootsplash." 1>&2
+ echo "Not adding bootsplash to initrd." 1>&2
+ fi
+ fi
+fi
+
+echo done
================================================================
Index: livecd/remaster/livecd_gen_iso
diff -u livecd/remaster/livecd_gen_iso:1.21 livecd/remaster/livecd_gen_iso:1.22
--- livecd/remaster/livecd_gen_iso:1.21 Tue Jul 11 14:48:18 2006
+++ livecd/remaster/livecd_gen_iso Tue Jul 11 14:49:33 2006
@@ -65,41 +65,6 @@
mkdir $ROOTFS/usr
mkdir $ROOTFS/boot
-echo -n "Generating initrd... "
-rm -rf $CD/boot/initrd.gz
-genromfs -f $CD/boot/initrd -d $INITRD -V "PLD initrd"
-[ "$?" != 0 ] && echo fail && exit 1
-busybox gzip $CD/boot/initrd
-[ "$?" != 0 ] && echo fail && exit 1
-# bootsplash
-if [ -r $ROOTFS/etc/sysconfig/bootsplash ] ; then
- . $ROOTFS/etc/sysconfig/bootsplash
-fi
-if [ "$BOOT_SPLASH" = "yes" ]; then
- if [ ! -x /bin/splash.bin ]; then
- echo "Failed to execute /bin/splash.bin. Is bootsplash package installed?" 1>&2
- elif [ -z "$THEME" ]; then
- echo "Please configure your /etc/sysconfig/bootsplash first." 1>&2
- echo "Generating bootsplashes skipped." 1>&2
- else
- if [ -n "$BOOT_SPLASH_RESOLUTIONS" ]; then
- for res in $BOOT_SPLASH_RESOLUTIONS; do
- if [ -f "$ROOTFS/etc/bootsplash/themes/$THEME/config/bootsplash-$res.cfg" ]; then
- /bin/splash.bin -s -f "$ROOTFS/etc/bootsplash/themes/$THEME/config/bootsplash-$res.cfg" >> $CD/boot/initrd.gz && \
- [ -n "$verbose" ] && echo "Added $res $THEME theme to initrd."
- else
- echo "/etc/bootsplash/themes/$THEME/config/bootsplash-$res.cfg doesn't exist, skipped" 1>&2
- fi
- done
- else
- echo "No BOOT_SPLASH_RESOLUTIONS specified in /etc/sysconfig/bootsplash." 1>&2
- echo "Not adding bootsplash to initrd." 1>&2
- fi
- fi
-fi
-
-echo done
-
echo -n "Generating pldram... "
rm -rf $CD/pldram
cd $ROOTFS
================================================================
---- CVS-web:
http://cvs.pld-linux.org/livecd/remaster/livecd_gen_initrd?r1=1.14&r2=1.15&f=u
http://cvs.pld-linux.org/livecd/remaster/livecd_gen_iso?r1=1.21&r2=1.22&f=u
More information about the pld-cvs-commit
mailing list